 /*
 * Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
  * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  */

package com.sun.ts.tests.jpa.core.metamodelapi.attribute;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Collection;
import java.util.Vector;


@Entity
@Table(name = "PURCHASE_ORDER")
public class Order implements java.io.Serializable {
    private int id;
    private int total;
    Collection itemNames= new Vector();
    
    public Order() {
    }
    
    public Order(int total) {
        this.total = total;
    }
    
    public Order(int id, int total) {
        this.id = id;
        this.total = total;
    }
    
    @Id
    public int getId() {
        return id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    public int getTotal() {
        return total;
    }
    
    public void setTotal(int total) {
        this.total = total;
    }
    
    public String toString() {
        return "Order id=" + getId() + ", total=" + getTotal();
    }

    public boolean addItemNames(String name){
        boolean result= false;
        result=itemNames.add(name); 
        return result;
    } 
    public boolean removeItemName(String name){
        boolean result= false;
        result=itemNames.remove(name); 
        return result;
    }
}
